import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gmalpha_flutter/FindModel/page/FindModel.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/messagePage/common.dart';
import 'package:gmalpha_flutter/commonModel/base/BasePage.dart';
import 'package:gmalpha_flutter/res/value/ALColors.dart';

class FindPage extends StatefulWidget {
  FindModel _findModel;
  final String fromPage;

  FindPage(this.fromPage) {
    _findModel = new FindModel(1, 8);
  }

  @override
  _FindPageState createState() => _FindPageState(_findModel);
}

class _FindPageState extends BasePage<FindPage> {
  FindModel _findModel;
  static int count = 8;
  static int page = 1;

  _FindPageState(this._findModel);

  @override
  Widget build(BuildContext context) {
    ScreenUtil.instance = ScreenUtil(width: 375.0, height: 667.0)
      ..init(context);
    return Scaffold(
      appBar: AppBar(
        centerTitle: false,
        leading: messageTitle('发现'),
        elevation: 0,
        backgroundColor: ALColors.ColorFFFFFF,
      ),
    );
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  String pageName() {
    return 'find_home';
  }

  @override
  String referrer() {
    return widget.fromPage;
  }
}
